
Redmine - Feature #38730

Generate snake-case file name by redmine_plugin_migration

2023-06-16 06:42 - [Agileware]Haruka Asakura

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

redmine_plugin_migration must generate snake-case file name when specifying migration name as camel-case due to the

consistency of the behavior, but it generates camel-case file name.

So we have created the patch for fixing redmine_plugin_migration behavior.

FYI: There was a similar issue that https://www.redmine.org/issues/28668

Associated revisions

Revision 22282 - 2023-08-23 11:39 - Go MAEDA

Generate snake-case file name by redmine_plugin_migration (#38730).

Patch by Haruka Asakura.

History

#1 - 2023-06-17 16:32 - [Agileware]Haruka Asakura

- File fix-migration-file-name-to-snake-case-20230617.patch added

Sorry, there was a problem with the test code and we have re-created the patch.

#2 - 2023-06-22 01:40 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#3 - 2023-08-23 11:39 - Go MAEDA

- Subject changed from generate snake-case file name by redmine_plugin_migration to Generate snake-case file name by redmine_plugin_migration

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#4 - 2023-10-30 13:55 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed

Files

fix-migration-file-name-to-snake-case.patch 3.12 KB 2023-06-16 [Agileware]Haruka Asakura

fix-migration-file-name-to-snake-case-20230617.patch 3.26 KB 2023-06-17 [Agileware]Haruka Asakura
